// ********************************************************************
//
//  Routine:      acReadVDS
//  Author:       T.Oest
//
//  Description:  call the VDS initialization to get the VDS constants
//                
//
//  Modification:
//
// ********************************************************************

// standard includes
#include <iostream.h>
#include <stdlib.h>

// ARTE includes
#include "arte/arte.hh"
#include "silarte/silarte.hh"

// prototypes
int SvdStartup();

//*****************************************************************
// function
//*****************************************************************

int acReadVDS(int KTstatus) 
{

  static int FirstCall = 0;

  if (FirstCall == 1) return 0;
  FirstCall =  1;

//==================================================================
// no action for MC
//==================================================================

  if (ArteTable<MTRA>::size() > 0 ) return 0;

//==================================================================
// call SvdStartup to get the GEDE table
//==================================================================

  int flag = SvdStartup();

 return 0;
}
