
#include <iostream.h>
#include <string>
#include <algorithm>
 
#include <arte/ArteAll.hh>


//
// Simple recursive function which uses the one-to-many relation
// MTRA->ETRA:
//
void printDecayChain( ArtePointer<MTRA> mtra,
		      unsigned int depth )
{
  string parname(ArtePointer<TOPP>(mtra->topp)->name,6);
  
  fill_n(ostream_iterator<char>(cout, ""), depth*12, ' ');
  cout << parname << endl;
  
  for ( ArteRelationIterator<MTRA_ETRA> out
           (ArtePointer<MTRA>( mtra )->etra);
        out.valid(); out.next() ) {
    printDecayChain( ArtePointer<MTRA>(out), depth+1 );
  }
}
