*-- Author :    Siegmund Nowak   22/12/95

      SUBROUTINE HGEVNT

************************************************************************
*
* Description: Geant simulation for one event
*
* Called from: ATEVNT
*
* External references: GEANT
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/MCIN.fi"
#include "gean/gclink.fi"
#include "gean/gcstak.fi"
#include "gean/gcflag.fi"

#include "arte/Arte.ff"
#include "auto/MCIN.ff"


      IF(GEANINIT.LE.0) GO TO 999

      IF (JEVHD .EQ. 0 .OR. IQ(JEVHD+2) .EQ. 0) CALL MMBOOK (JEVHD, 1)
      IF(JMCIN.EQ.0) CALL MMBOOK(JMCIN,1)
      IF(JMCME.EQ.0) CALL MMBOOK(JMCME,0)

c set version numbers   
      Q (QMCIN_VGEA_L()) = GEANVERS
      Q (QMCIN_VGEO_L()) = GEOMVERS
c set short/long detector configuration
      CALL CRLOSH(IQ(BQMCIN_FMCL(1)),IQ(BQMCIN_FMCS(1)))

C set random number
      IF(IMCIN_RGEA(1,1).EQ.0 .OR. IMCIN_RGEA(2,1).EQ.0) THEN
         CALL ALRINI
         IQ(IQMCIN_RGEA(1,1)) = LUNDSEED(1)
         IQ(IQMCIN_RGEA(2,1)) = LUNDSEED(2)
      ENDIF
      CALL GRNDMQ(IMCIN_RGEA(1,1),IMCIN_RGEA(2,1),1,'S')

C Geant event initialization

      CALL GTRIGI

C fill Geant banks KINE and VERT

      CALL HGKINE

C Geant event processing
      CALL GTRIG

C really necessary ?
      IF (NJTMAX.LT.0) NJTMAX = -NJTMAX
*
      CALL GRNDMQ(IQ(IQMCIN_RDIG(1,1)),IQ(IQMCIN_RDIG(2,1)),0,'G')
      IQ(JRUNG+29) = IEVENT
*
      IF (JSTAK.NE.0) THEN
         IQ(JSTAK+1) = 0
         IQ(JSTAK+3) = 0
      ENDIF
*
      IF(IEORUN.NE.0) CALL MEERRC (4625345,
     +  'HGEVNT: Geant returns with error condition')
 999  RETURN
      END

************************************************************************
* End of HGEVNT
************************************************************************









