
      SUBROUTINE KAGESL

************************************************************************
* Author :    Siegmund Nowak   12/07/96
*
* Description:
*
* Called from:
*
* External references:
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/NESL.fi"
#include "gean/gcflag.fi"
      INTEGER L,IX,INAME,ITYP,ISL,ISHP,NLAY,LTYP,MFL,IFIRST
      REAL X1,X2,Y1,Y2,Z1,Z2,DX,DY
      CHARACTER*4 CNAME,CC,SHAPE
      SAVE IFIRST
      DATA IFIRST /0/
#include "arte/Arte.ff"
#include "auto/NESL.ff"

      IF(IFIRST.EQ.0) THEN
         IF(JNESL.EQ.0) CALL MMBOOK(JNESL,0)
         IFIRST = 1
      ENDIF

      CALL KUGETC (CNAME, L)
      CALL CLTOU (CNAME)
      DO IX =1,NNESL()
        CALL UHTOC (HNESL_NAME(IX),4,CC,4)
        CALL CLTOU (CC)
        IF(CNAME .EQ. CC)  THEN
           CALL MEWARN('superlayer '//CNAME//'already defined')  
           GO TO 100
        ENDIF
      ENDDO

      CALL MMBOOK (JNESL, 1)

      CALL KUGETI (ITYP)
      ISL = 0
      DO IX=1,NNESL() 
        IF(INESL_CMP(IX).EQ.ITYP) ISL = ISL+1
      ENDDO

      ISL = ISL + 1
      CALL KUGETC (SHAPE,L)
      CALL KUGETI  (NLAY)
      CALL KUGETI  (LTYP)
      CALL KUGETI  (MFL)

      CALL UCTOH(CNAME,INAME,4,4)
      IQ(HQNESL_NAME_L()) = INAME
      IQ(IQNESL_CMP_L()) = ITYP
      IQ(IQNESL_NSL_L()) = ISL
      IQ(IQNESL_LAY_L()) = NLAY
      IQ(IQNESL_LTYP_L()) = LTYP
      IQ(IQNESL_MFL_L()) = MFL
      IF(SHAPE.EQ.'BOX ') THEN
         IQ(IQNESL_SHP_L()) = 1
      ELSEIF(SHAPE.EQ.'TRD2') THEN
         IQ(IQNESL_SHP_L()) = 3
      ELSEIF(SHAPE.EQ.'TUBE') THEN
         IQ(IQNESL_SHP_L()) = 5
      ELSE
         CALL MEERRO('KANESL: allowed shapes: BOX/TRD2/TUBE ! ')
      ENDIF
   
      CALL KUGETR (X1)
      CALL KUGETR (X2)
      CALL KUGETR (Y1)
      CALL KUGETR (Y2)
      CALL KUGETR (Z1)
      CALL KUGETR (Z2)
      Q(QNESL_X1_L()) = X1
      Q(QNESL_X2_L()) = X2
      Q(QNESL_Y1_L()) = Y1
      Q(QNESL_Y2_L()) = Y2
      Q(QNESL_Z1_L()) = Z1
      Q(QNESL_Z2_L()) = Z2

      IF(SHAPE.EQ.'TRD2') THEN 
         CALL KUGETR (DX)
         CALL KUGETR (DY)
         Q(QNESL_DX_L()) = DX
         Q(QNESL_DY_L()) = DY
      ENDIF
      IQ(IQNESL_FPL_L()) = 0
      IQ(IQNESL_NPL_L()) = 0
      IF(IDEBUG.NE.0)WRITE(LPRNT,101)CNAME,NNESL(),ITYP,ISL,NLAY,ISHP,
     +      FNESL_X1(NNESL()),FNESL_X2(NNESL()),FNESL_Y1(NNESL()),
     +      FNESL_Y2(NNESL()),FNESL_Z1(NNESL()),FNESL_Z2(NNESL())


 100  CONTINUE
 99   RETURN
 101  FORMAT(1X,'SL ',A4,5I4,6(1X,F7.2))
      END

************************************************************************
* End of KAGESL
************************************************************************
