*-- Author :    Hartwig Albrecht   19/05/95

      SUBROUTINE KADREX (IFLAG)

************************************************************************
*
* Description: DRELxx, DINVxx commands
*
* Called from: KADRE1, KADREM, KADIN1, KADINM
*
* External references: KADINI
*
* Arguments: in/out description
*   IFLAG    in     LDDEF_RE1/LDDEF_REM/...
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/DDEF.fi"
#include "arte/ZDDEFP.fi"

      INTEGER L, IFLAG
      CHARACTER CN*80

#include "arte/Arte.ff"
#include "auto/DDEF.ff"

      CALL KADZZI (IFLAG)

      CALL KADZZN

      CN = ' '
      CALL KUGETC (CN, L)
      CALL CHCTOH (CN,IQ(L_L(JDDEF_NAM3,JDDEF)), NAMELEN)
      IF (L .LE. 80)  GO TO 10
      CALL LIDDE0 (NDDEF(), 'TL')
      CALL MEERRC (13445,
     +  'DD: table/rel names must consist of less than 80 characters')

 10   CALL KADZZC

      END

************************************************************************
* End of KADREX
************************************************************************
