*-- Author :    Hartwig Albrecht   19/05/95

      SUBROUTINE LIDDEF (NAME, CTPL)

************************************************************************
*
* Description: list data definition table
*
* Called from: KUIP etc.
*
* External references:
*
* Argument in/out description
*   CTPL   in     terminal/printer/log_file flag
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/DDEF.fi"
#include "arte/ZDDCOM.fi"
#include "arte/ZDDEFP.fi"

      INTEGER IR, IL, IN(NAMELEN), CHCMPN
      CHARACTER *(*) NAME, CTPL

#include "arte/Arte.ff"
#include "auto/DDEF.ff"

      IF (JDDEF .EQ. 0)  GO TO 80
      IF (NDDEF() .EQ. 0)  GO TO 80

      CALL CHCTOH (NAME, IN, NAMELEN)
      IL = 0
      IF (NAME .NE. ' ')  IL = -1
      DO 10 IR = 1, NDDEF()
        IF (IDDEF_FLAG(IR) .LT. 0)  GO TO 10
        IF (IDDEF_FLAG(IR) .GE. LDDEF_TAB. AND.
     +      IDDEF_FLAG(IR) .LE. LDDEF_MEN. AND. IL .GT. 0)  GO TO 90
        IF (IDDEF_FLAG(IR) .GE. LDDEF_TAB. AND.
     +      IDDEF_FLAG(IR) .LE. LDDEF_MEN. AND.
     +      CHCMPN (IQ(HQDDEF_NAME(1,IR)), IN) .NE. 0 .AND.
     +      IL .LT. 0)  IL = 1
        IF (IL .LT. 0)  GO TO 10
        CALL LIDDE0 (IR, CTPL)
        IF (IR .EQ. NDDUSR)  CALL MESELP
     +   ('* end of user DD commands', CTPL)
        IF (IR .EQ. NDDNEW)  CALL MESELP
     +   ('* end of new DD commands', CTPL)
 10   CONTINUE

      GO TO 90

 80   CALL MEWARC (7625, 'LIDDEF: data definition table empty')

 90   END

************************************************************************
* End of LIDDEF
************************************************************************
