
//## Boris Fominykh  12.12.1999
// member functions of base class MuDbTable

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

#include "murec/MuDbTable.h"

//** Constructor */
MuDbTable::MuDbTable()
{
  Ini();
  setRun(0);
  setMinor(0);
  setDBname("Muon.db");
  setName("xxxxxxxxx");
  setDesc("xxxxxxxxx");
  setTitle("xxxxxxxxx");
  setFile("xxxxxxxxx");
}

//** Destructor */
MuDbTable::~MuDbTable()
{
}

//## Methods

//** Initialization */
void MuDbTable::Ini()
{
  X=NULL;
  T=0;
  Size = 0;
  Nf   = 0;
  IvalT=-1;
}
 
//** Open DB */
int MuDbTable::Open(int write)
{
  if(!strcmp(DBname,"xxxxxxxxx")) {
    cout << "MuDbTable::Open - no DataBase name" << endl;
    return 1;
  }
  X=NULL;
  if(write == 1) X=OpenTables(DBname,0);
  else X=OpenTables(DBname,TABLEreadonly);
  if(X == NULL) {
    cout << "MuDbTable::Open - " << DBname << " is not open" << endl;
    return 2;
  }

  if(!strcmp(DBtable,"xxxxxxxxx")) {
    cout << "MuDbTable::Open - table name is not defined" << endl;
    return 3;
  }
  if(!strcmp(Desc,"xxxxxxxxx")) {
    cout << "MuDbTable::Open - description of " << DBtable << " is not defined" << endl;
    return 4;
  }
  if(!strcmp(Title,"xxxxxxxxx")) {
    cout << "MuDbTable::Open - title of " << DBtable << " is not defined" << endl;
    return 5;
  }

  //  cout << "MuDbTable::Open - " << DBname << " is open" << endl;

  T=BookTable(X,DBtable,Desc,Title);
  if(T <= 0) {
    cout << "MuDbTable::Open - " << DBtable << " " << Title;
    cout << " Run " << Run << " Minor " << Minor<< " is NOT open" << endl;
    return 6;
  }

  //  cout << "MuDbTable::Open - table " << DBtable << " " << Title;
  //  cout << " Run " << Run << " Minor " << Minor<< " is open" << endl;
  //  PrintTables(X,1);
  TableStamp(X,Run,0);
  return 0;
}
 
//** Fetch the table */
int MuDbTable::Fetch()
{
  if(X == NULL) {
    cout << "MuDbTable::Fetch - DB " << DBname << " is not open" << endl;
    return 1;
  }
  if(T <= 0) {
    cout << "MuDbTable::Fetch - " << DBtable << " is not booked" << endl;
    return 2;
  }
  if(!FetchTable(X,T,0)) {
    cout << "MuDbTable::Fetch - " << DBtable << " is not fetched" << endl;
    CloseTables(X);
    return 3;
  }
// define the size
  Nf=SkipTableField(X,2);
  Size=TableFieldSize(X);
  if(Size < 1) {
    cout << "MuDbTable::Fetch - zero size of " << DBtable << endl;
    CloseTables(X);
    return 3;
  }

  //  cout << "MuDbTable::Fetch - " << DBtable << " is fetched";
  //  cout << " size= " <<  Size << endl;

  IvalT=1;
  return 0;
}

//** Close the table */
void MuDbTable::Close()
{
  if(X != NULL) {
    CloseTables(X);
    //  cout << "MuDbTable::Close - " << DBname << " is closed";
    //  cout << endl;
  }
  MuDbTable::Ini();
  return;
}

//** String anlysis */
int MuDbTable::Itl(char *s,int nitem)
{
  int i;
  char* s0=s;
  for (i=0;i<nitem;i++) {
    while (*s==' ') s++;
    while (*s!=' ' && *s != '\n' ) s++;
  }
  return s-s0;
}

void MuDbTable::setDBname(char* name)
{
  strncpy(DBname,name,128);
  return;
}

void MuDbTable::setName(char* name)
{
  strncpy(DBtable,name,64);
  return;
}

void MuDbTable::setTitle(char* title)
{
  strncpy(DBtable,title,64);
  return;
}

void MuDbTable::setDesc(char* description)
{
  strncpy(Desc,description,128);
  return;
}

void MuDbTable::setFile(char* filename)
{
  strncpy(FileName,filename,128);
  return;
}


