#ifndef MuDbTable_h
#define MuDbTable_h 1

//## Class: MuDbTable
//      /**Author:        Boris Fominykh
//
//      Date:             December 12, 1999
//
//      Class:            MuDbTable
//
//      Base Class:       none
//
//      Description:
//      This is a base class for muon DataBase tables*/

#include "database/table.h"

class MuDbTable
{
  public:
    //## Constructor
           MuDbTable();
    //## Destructor
           ~MuDbTable();

    //public methods
      //        /**Initialization*/
      void Ini();
      //        /**Open DB, write=1 - permission to write*/
      int Open(int write);
      //        /**Close DB*/
      void Close();
      //        /**Fetch the table*/
      int Fetch();
      //        /**String analysis*/
      int Itl(char*,int);

    //## Get and Set Operations for Class Attributes
      void MuDbTable::setRun(int value);
      void MuDbTable::setMinor(int value);
      void MuDbTable::setDBname(char* name);
      void MuDbTable::setName(char* name);
      void MuDbTable::setTitle(char* title);
      void MuDbTable::setDesc(char* description);
      void MuDbTable::setFile(char* filename);

  protected:

      char DBname[128];
      char DBtable[64];
      char Title[64];
      char Desc[128];
      char FileName[128];
      int Run;
      int Minor;
      Tables X;
      int    T;
      int    Nf;
      int    Size;
      int    IvalT;

  private:

};

//## Get and Set Operations for Class Attributes (inline)

inline void MuDbTable::setRun(int value)
{
  Run=value;
}

inline void MuDbTable::setMinor(int value)
{
  Minor=value;
}

#endif





