*  B.Fominykh  22.07.97
* write the seed as a branch of tree
*
* input:  NCLUS         - number of clusters
*         IPS(NCLUS)    - pointers to clusters
*         CHI           - chi**2 sum
* output: IOUT          =0 O.K., =1 - problems 
C
      SUBROUTINE MURBRIN(NCLUS,IPS,CHI,IOUT)
C-    ======================================
      IMPLICIT NONE
      INTEGER NCLUS,IPS(1),IOUT
      REAL CHI
#include "murec/MUCTAB.fi"
#include "murec/MUCKALF.fi"
#include "arte/Arte.fi"
      INTEGER NCL,IP(8),IT,JT,IDENT,I,J
#include "arte/Arte.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
      IOUT=1
* compression
      NCL=0
      DO 10 I=1,NCLUS
       IF(IPS(I).LE.0) GOTO 10
       NCL=NCL+1
       IP(NCL)=IPS(I)
  10  CONTINUE
* the case of first track
      IF(IFREE.EQ.1) GOTO 100
* check that it's a new combination
      DO 20 IT=1,IFREE-1
        JT=JTMP7+IQ(JTMP7+1)*(IT-1)+2
        IF(IQ(JT+3).LT.NCL) GOTO 20
        IDENT=0
        DO I=1,NCL
          IF(IP(I).EQ.IQ(JT+I+LCMUTR-1)) IDENT=IDENT+1
        ENDDO
        IF(IDENT.EQ.NCL) GOTO 999
  20  CONTINUE
*
 100  CONTINUE
* add the track as branch
      CALL MMBOOK(JTMP7,1)
      IF(IFREE.NE.IQ(JTMP7+2)) 
     +   print*,'MURBRIN: wrong IFREE',IFREE,IQ(JTMP7+2)
      JT=JTMP7+IQ(JTMP7+1)*(IFREE-1)+2
      IFREE=IFREE+1
*
      IQ(JT+1)=1
       Q(JT+2)=0.
      IQ(JT+3)=NCL
       Q(JT+4)=CHI
* write the clusters
      DO I=1,NCL
        IQ(JT+LCMUTR+I)=IP(I)
      ENDDO
* parameters
      DO I=1,5
        Q(JT+I+4)=PARAM(I)
      ENDDO
* covariance 
      DO I=1,4
       DO J=1,4
        Q(JT+4*I+J+5)=COV(I,J)
       ENDDO
      ENDDO
      IOUT=0
* 
 999  CONTINUE
      RETURN
      END




