*CMZ :  4.04/01 26/03/96  14.24.41  by  Rainer Mankel
*CMZ :  4.04/00 10/01/96  19.08.34  by  Rainer Mankel
*-- Author :    Rainer Mankel   05/01/96

      subroutine pkghit(isl,iplan,idmc,chopt)

*     **** pick the GEANT hits (mimps)
      implicit none
      integer isl, iplan, idmc, imc, mimp
      character*(*) chopt

#include "pris/zmh.fi"
#include "arte/Arte.fi"

#include "pris/zgraf.fi"

      real*4 xxx(1), yyy(1), wcm(3), r
#include "auto/GEO.fi"
#include "auto/MIMP.fi"

#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/MIMP.ff"

*     **** loop over mimps in plane
      do 30 mimp=1,iq(jmimp+2)
       if (imimp_gede(mimp).ne.iplan) go to 30
*      **** check MC particle
       imc = omimp_mtra(mimp)
       if (idmc.gt.0.and.imc.ne.idmc) go to 30

*      **** check B0 option
       if (lb0zg .or. index(chopt,'B').gt.0) then
        if (imc.eq.0) go to 30
        if (.not.gold_mh(imc)) go to 30
       endif

*      **** check ref option
       if (index(chopt,'R').gt.0) then
        if (imc.eq.0) go to 30
        if (.not.ref_mh(imc)) go to 30
       endif

*      **** hit coordinate
       wcm(1) = fmimp_x(mimp)
       wcm(2) = fmimp_y(mimp)
       wcm(3) = fmimp_z(mimp)

*      **** projection
       call dipro(wcm,xxx(1),yyy(1))

*      **** calculate distance to picked location
       r = (xxx(1) - xpickzg)**2 + (yyy(1) - ypickzg)**2
       if (idpickzg.gt.0) then
          if (r.lt.rpickzg) then ! replace picked object
             idpickzg = mimp
             rpickzg = r
          endif
       else
          idpickzg = mimp       ! set first picked object
          rpickzg = r
       endif

 30   continue

      end



