// 
//  Author:  Rainer Mankel                     Created:  27-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgswin_
// Fortran interface to rangerSeedSet::win()
// Return the associated window pointer of a seed set.

#include "rang/DomWin.hh"
#include "rang/SeedSet.hh"

extern "C" {
  rangerDomWin* rgswin_(rangerSeedSet*& ss) {
    return ss->win();
  }
}
