// ********************************************************************
//
//  Routine:      rc99Avertex
//  Author:       T.Oest
//
//  Description:  main vertex reconstruction
//
//  Modification:
//   -- vertex reconstruction only together with matching
//                                                      16/09/99 T.Oest
//   -- also called if new tracks are selected          01/12/99 T.Oest
//
// ********************************************************************

#include <algo.h>
#include <arte/arte.hh>
#include <arte/artefunc.h>

extern "C" {
 void rc99avtrec_(const int& flag);
 void vtpsto_(const int& flag);
};

extern int matchMARPLEVdsEcal;
extern int matchMARPLEVdsRich;
extern int matchMARPLEEcalRich;
extern int matchVdsRich;
extern int matchVdsEcal;
extern int matchVdsEcalRich;
extern int matchTarget;
extern int rc99SelectTracksStatus;

//*****************************************************************
// function  
//*****************************************************************

void rc99Avertex(){

  if (matchMARPLEVdsEcal != 0 || matchMARPLEVdsRich != 0 ||
      matchVdsRich       != 0 || matchVdsEcalRich   != 0 ||
      matchVdsEcal       != 0 || rc99SelectTracksStatus != 0){
   int flag;
   rc99avtrec_(flag);
   vtpsto_(flag);
  };

};
