#ifndef _L3_DEFINES_HH_
#define _L3_DEFINES_HH_

#ifndef L3_EXTERNAL
//***** Author specific stuff************************************
//#define ULLI
//#define STEFAN
//***************************************************************
//***** Framework ***********************************************
#ifdef USE_ARTE
#define L3_ARTE_FRAME
//**** compiler: always egcs in ARTE
#define L3_EGCS
//***************************************************************
//***** Arte conventions ****************************************
//#define L3_ARTE2
#define L3_ARTE3
//***** Geometry ************************************************
//  For ARTE-01-08-r1:
//  Rotate back boundaries and stereo-angle 
//  with rotation matrix to standard SVD-Geo Definition
#define  L3_SVD_ROTATE_GEO
//***************************************************************
#define L3_ONE_MIMP_PER_DOUBLESIDED_MODULE
#else
#define L3_SLP_FRAME
//***** Compiler: egcs or gcc in slp ****************************
#define L3_EGCS
//#define L3_GCC
//***************************************************************
#endif
//***** Operation Mode ******************************************
//#define L3_ONLINE_MODE
#define L3_OFFLINE_MODE
//***************************************************************
//  Decide, if NPNP or NPPN layering in a SVD-Quadrant
//  NPNP: MC (will change in the future)
//  NPPN: Real installed SVD 
//#define L3_SVD_NPNP
//#define L3_SVD_NPPN
//***************************************************************
//***** Switch off Rhp and/or Paw********************************
//#define L3_NO_RHP
//#define L3_NO_PAW
//***************************************************************
//***** Debugging Stuff *****************************************
#define L3_PRINT_EVENT_SUMMARY
#define L3_VERBOSE
//#define L3_DEBUG
//#define L3_DEBUG_SILICON
//#define L3_DEBUG_TRACK
//Macro Debugging 
#define L3_MDEBUG
//***************************************************************
#endif

#endif
