
// *****************************************************************************
//
// source:    acinit.C
//
// type:      source code
//
// created:   22 Nov 1999
//
// author:    Andreas Gellrich
//            HERA-B Collaboration
//            DESY Zeuthen
//            Platanenallee 6
//            D-15738 Zeuthen
//            Germany
//            email: Andreas.Gellrich@desy.de
//
// symbol:    acinit_()
//
// called by: 
//
// changes:
//
// *****************************************************************************

// standard includes
#include <iostream.h>

// prototypes
int RC_init();
int DQ_init();
int AC_init();

//
// program code
//
extern "C" void
acinit_()
{
  // show up
  //cout << "acinit_()" << endl;

  // inits
  int rc = 0;

  // RC initialiation
  rc = RC_init();
  
  // DQ initialization
  rc = DQ_init();

  // AC initialization
  rc = AC_init();
}
