
/**********************************************************************/
//
// $Source: /afs/desy.de/group/hera-b/repository/ARTE/cluearte/ClTOPP.C,v $
// $Revision: 1.4 $
// $Author: natasha $
// $Date: 1999/11/02 17:44:55 $
//
// Created: 01-27-97,   I. Siccama, C. Borgmeier
//
/**********************************************************************/


#include <arte/arte.hh>
#include <Clue/ClTOPP.hh>


ClTOPP::ClTOPP( ArtePointer<TOPP> topp )
  : mass( topp->mass ),
    wid ( topp->wid  ),
    trbw( topp->trbw ),
    life( topp->life ),
    chrg( topp->chrg ),
    colo( topp->colo ),
    deca( topp->deca ),
    lund( topp->lund ),
    gean( topp->gean )
{
  std::strncpy( name, topp->name, 12 );
  
  char* firstSpace = std::strchr( name, ' ' );
  if( firstSpace - name < 12 ) *firstSpace = 0;
  anti.setInt( topp.index() );
}


const ClTOPP& ClTOPP::operator=( ArtePointer<TOPP> topp )
{
  name = topp->name;
  mass = topp->mass;
  wid  = topp->wid ;
  trbw = topp->trbw;
  life = topp->life;
  chrg = topp->chrg;
  colo = topp->colo;
  deca = topp->deca;
  lund = topp->lund;
  gean = topp->gean;
  
  anti.setInt( topp.index() );

  return *this;
}
