#ifndef _RSEG_H_
#define _RSEG_H_
typedef struct {
   float zf;
   float xf;
   float yf;
   float txf;
   float tyf;
   float pf;
   float cvf[15];
   float time;
   float dtim;
   float ze;
   float xe;
   float ye;
   float txe;
   float tye;
   float pe;
   float cve[15];
   float chi;
   int fit;
   int cmp;
   int prtra;
   int prbeg;
   int err;
   int prccl;
   int pmtra;
   int phitb;
   int prpnt;
   int prhit;
   int prend;
} RSEG;
#define  JRSEG (gcbank_.iq+artelink_.jrseg)
#define  NRSEG() N_U(JRSEG)
#define NCRSEG() N_C(JRSEG)
#define RSEG(i) (*((RSEG*)(JRSEG+2)+(i)-1))
#include "auto/RTRS.h"
#define RSEG_prtra(i) RSEG(i).prtra
#define RSEG_mrtra(i) M_1(i,JRTRS)
#define RSEG_xrtra(i) X_1(i,JRTRS)
#include "auto/RSRS.h"
#define RSEG_prbeg(i) RSEG(i).prbeg
#define RSEG_mrbeg(i) M_1(i,JRSRS)
#define RSEG_xrbeg(i) X_1(i,JRSRS)
#include "auto/RCRS.h"
#define RSEG_prccl(i) RSEG(i).prccl
#define RSEG_mrccl(i) M_1(i,JRCRS)
#define RSEG_xrccl(i) X_1(i,JRCRS)
#include "auto/MTRS.h"
#define RSEG_pmtra(i) RSEG(i).pmtra
#define RSEG_mmtra(i) M_1(i,JMTRS)
#define RSEG_xmtra(i) X_1(i,JMTRS)
#include "auto/RSHI.h"
#define RSEG_phitb(i) RSEG(i).phitb
#define RSEG_mhitb(i) M_2(i,JRSHI)
#define RSEG_xhitb(i) X_2(i,JRSHI)
#include "auto/RSRP.h"
#define RSEG_prpnt(i) RSEG(i).prpnt
#define RSEG_mrpnt(i) M_R(i,JRSRP)
#define RSEG_xrpnt(i) X_R(i,JRSRP)
#include "auto/RSRH.h"
#define RSEG_prhit(i) RSEG(i).prhit
#define RSEG_mrhit(i) M_R(i,JRSRH)
#define RSEG_xrhit(i) X_R(i,JRSRH)
#include "auto/RSRS.h"
#define RSEG_prend(i) RSEG(i).prend
#define RSEG_mrend(i) M_2(i,JRSRS)
#define RSEG_xrend(i) X_2(i,JRSRS)
#endif
