
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
//
// Filling of histograms
//
// changes:
// 27 Oct 1999 (AG) use defines from DQ.h
//  1 Nov 1999 (AG) get rid of dq_hid.h
//
// ******************************************************************

// standard includes
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"
#include "event.h"

// Arte includes
#include "arte/arte.hh"
#include "dq/DQ.h"
#include "dq/DQ_RICH.h"

//
// function code
//
int
DQ_RICH_hit_evnt()
{
  float NrRICHHits=0;

for( ArteTableIterator<HITB> hitb; hitb.valid(); hitb.next() ){
 
      ArtePointer<GEDE> gede(hitb->gede); 

      if(gede->cmp==5){
          NrRICHHits++;
          rhp_hfill(DQ_ID(COMP_RICH,LVL_HIT,2),hitb->q,hitb->r,1);
}
}
  rhp_hf1(DQ_ID(COMP_RICH,LVL_HIT,1),NrRICHHits,1);
  return 0; // return error code (0 = okay)
}
