// ********************************************************************
//
//  Routine:      gageReadRhp
//  Author:       T. Oest
//
//  Description:  Read Rhp buffer or file
//
//  Modification:
//
// ********************************************************************

#include <iostream.h>
#include "arte/arte.hh"
#include "gage/gage.hh"

//*********************************************************************
// function
//*********************************************************************
//
// program code
//

int gageReadRhp() {

//---------------------------------------------------------------------
//  open disk file if required
//---------------------------------------------------------------------

FILE * gageFile = 0;

  char *FileBuffer = getenv("GAGE_BUFFER");
  if (FileBuffer) {
    gageFile = fopen(FileBuffer,"r");
  } else {
  return 0;
  };

//---------------------------------------------------------------------
//  read from file
//---------------------------------------------------------------------

    GageSegmentPair SegmentPair;

    while (fread(&SegmentPair, sizeof(GageSegmentPair), 1, gageFile)==1){

      cout << " " << endl;
      cout << " key " << SegmentPair.key << endl;
      cout << " z   " << SegmentPair.z << endl;
      cout << " dx  " << SegmentPair.p1[0] - SegmentPair.p2[0] << endl;
      cout << " dy  " << SegmentPair.p1[1] - SegmentPair.p2[1] << endl;
      cout << " dtx " << SegmentPair.p1[2] - SegmentPair.p2[2] << endl;
      cout << " dty " << SegmentPair.p1[3] - SegmentPair.p2[3] << endl;

    };

    fclose(gageFile);

//---------------------------------------------------------------------
//  
//---------------------------------------------------------------------

  return 0;
}
