#ifndef _ZGROT_HH_
#define _ZGROT_HH_
#include "zgeom.hh"
#include <vector.h>

  typedef struct {
  int rotnum;
  float theta1, phi1, theta2, phi2, theta3, phi3;
  int irotm;
  float grot[9], arot[9];
  } hgrot;

class zgrot : public zgeom {
public:

  friend class zgdet;
  friend class zgpos;  
  friend class zgvol;
  friend class zguser;
 
  zgrot() {}
  ~zgrot() {} 
  
  void ini(int n);
  void fin();

  int         Readrot(char*, int&);
  int         Create_Grot(int &); 
  int         Checkxy_Grot(const float[], float &);
  void        Arot_par(float &,float &,float &,float &,float [] );
  void        Set_UnitMatrix(float []);

private:
  static  vector<hgrot>        *ptrot[33];
};

#endif







