#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include "arte/arte.hh"
#include "arte/ArteMessage.hh"
#include "gean/gctmed.h"
#include "gean/ZGTRDE.h"
#include "gean/ZGDETV.h"
#include "gean/ZGESL.h"

extern "C" {
  char* ku_getc();
  char* ku_path();
  void katrace() {
    char buffer[13],  patl[13];
    strcpy(patl, strrchr(ku_path(),'/') +1);
    strcpy(buffer, ku_getc());
    
    if(!strncmp(buffer,"ON",2) || !strncmp(buffer,"1",1)) {

      if(!strncmp(patl,"TRD",3)) {
	if(zgdetv_.DETV[LGESL_TRSL-1] != 'L') {
           arteMsg << "katrace: you want to have TRD ON, but GEOM is short";
           arteMsg.warn();
           arteMsg << "therefore only standard hits will be produced in TRD"; 
           arteMsg.warn();
           trdsw_.itrswt = 0;
        }
        else trdsw_.itrswt =1;
      }
      else if(!strncmp(patl,"CKOV",4)) gctlit_.itckov = 1;
    }            

    else if (!strncmp("OF",buffer,2) || !strncmp(buffer,"0",1)) {
      if     (!strncmp(patl,"TRD",3))   trdsw_.itrswt = 0;
      else if(!strncmp(patl,"CKOV",4))  gctlit_.itckov = 0; 
    }
    else {   
        arteMsg << "katrace: check command " << buffer ;
          arteMsg.error();
    }
  }
}




