# redefine compilers to the egcs family 
# and set corresponding options
#

ifneq "$(strip $(ROOTSYS))" ""
  LD_LIBRARYN32_PATH := $(LD_LIBRARYN32_PATH):$(beelibpath)
  export LD_LIBRARYN32_PATH
endif

cpp      = cc -E 
cppopt   = $(addprefix -I,${incdirs})

cxx      = CC
cc       = cc

# The compilers use the CPP, so it makes sense to add the cppopt

standopt = $(opt_$(debug)) $(cppopt) -DUSE_ARTE $(rootcxxopt)

#### Defaults

cxxopt   = -LANG:std -c $(standopt)
ccopt    = -c $(standopt)

f77opt = -static -align32 -OPT:Olimit 3000 -n32 \
                    -c $(standopt)
linkopt   = -LD_LAYOUT:lgot_buffer=20 $(hblibs) \
            -lXt -lX11 -lftn -lm -lfpe 

