      SUBROUTINE MAMAKENT( INTUP, TYPE)
      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MTRA.fi"

#include "marple/matchnt.fi"
#include "marple/deltas.fi"
      INTEGER INTUP             !  number of ntuple to create
      INTEGER TYPE              !  type of ntuple
                                !    = 1 means matchnt of general type
                                !    = 2       matchnt for RcSegClusBuilder
                                !    = 3       deltas ntuple
                                !    = 4       pulses ntuple

      INTEGER MATCHID1, MATCHID2 !  last 2 numbers of INTUP 
                                !  1 - SVD, 2-MT, 3-OT, 4-RICH, 5-MUON,
                                !  6-ECAL, 7-BREM
      CHARACTER*20  MATCHTIT
      INTEGER TMPVAR

#include "arte/Arte.ff"
#include "auto/MTRA.ff"



      TMPVAR = INTUP-100*INT(INTUP/100)
      MATCHID1 = INT( TMPVAR/10 )
      MATCHID2 = TMPVAR - 10*MATCHID1

      IF(      MATCHID1 .EQ. 1 ) THEN
         MATCHTIT = ' SVD -'
      ELSE IF( MATCHID1 .EQ. 2 ) THEN
         MATCHTIT = '  MT -'
      ELSE IF( MATCHID1 .EQ. 3 ) THEN
         MATCHTIT = '  OT -'
      ELSE IF( MATCHID1 .EQ. 4 ) THEN
         MATCHTIT = 'RICH -'
      ELSE IF( MATCHID1 .EQ. 5 ) THEN
         MATCHTIT = 'MUON -'
      ELSE IF( MATCHID1 .EQ. 6 ) THEN
         MATCHTIT = 'ECAL -'
      ELSE IF( MATCHID1 .EQ. 7 ) THEN
         MATCHTIT = 'BREM -'
      ENDIF

      IF(      MATCHID2 .EQ. 1 ) THEN
         MATCHTIT(7:) = '  SVD'
      ELSE IF( MATCHID2 .EQ. 2 ) THEN
         MATCHTIT(7:) = '   MT'
      ELSE IF( MATCHID2 .EQ. 3 ) THEN
         MATCHTIT(7:) = '   OT'
      ELSE IF( MATCHID2 .EQ. 4 ) THEN
         MATCHTIT(7:) = ' RICH'
      ELSE IF( MATCHID2 .EQ. 5 ) THEN
         MATCHTIT(7:) = ' MUON'
      ELSE IF( MATCHID2 .EQ. 6 ) THEN
         MATCHTIT(7:) = ' ECAL'
      ELSE IF( MATCHID2 .EQ. 7 ) THEN
         MATCHTIT(7:) = ' BREM'
      ENDIF



      IF( type .eq. 1 ) then
         MATCHTIT(13:) = 'matchNT'
         CALL HBNT(  iNtup,MATCHTIT,' ')
         CALL HBNAME(iNtup,'N_evnt',Nevt,'Nevt:I, Nleft:I, Nright:I,
     +        Nmatch:I, Nbad:I, Nlost:I,
     +        Nreal:I, Rbad:R, Rlost:R, fromJpsi:I')
      ELSEIF( type .eq. 2 ) then
         MATCHTIT(13:) = 'matchSC'
         CALL HBNT(  iNtup,MATCHTIT,' ')
         CALL HBNAME(iNtup,'N_evnt',Nevt,'Nevt:I, Nleft:I, Nright:I,
     +        Nmatch:I, Nbad:I, Nlost:I, Nreal:I,
     +        Rbad:R, Rlost:R, fromJpsi:I, RbadB:R,
     +        Rlmtra:R, Rlelec:R, Rlelecj:R, 
     +        RlmtraB:R, RlelecB:R, RlelecjB:R')
      ELSEIF( type .eq. 3 ) then
         MATCHTIT(13:) = 'deltas'
         CALL HBNT(  iNtup,MATCHTIT,' ')
         CALL HBNAME(iNtup,'delta',flag,'flag:I, deltaX:R, deltaY:R,
     +        deltaTX:R, deltaTY:R, deltaPE:R, chi2:R, qual:R')
         CALL HBNAME(iNtup,'ENERGY',leftp,'leftp:R, rightp:r')
         CALL HBNAME(iNtup,'POINT',matchX,'pointX:R, pointY:R, 
     +        pointTX:R, pointTY:R, pointPE:R')
         IF( JMTRA .NE. 0 )
     +        CALL HBNAME(iNtup,'MC',ipart1,
     +        'ipart1:I, ipart2:I, imoth1:I, imoth2:I')
      ELSEIF( type .eq. 4 ) then
         MATCHTIT(13:) = 'pulses'
         CALL HBNT(  iNtup,MATCHTIT,' ')
         CALL HBNAME(iNtup,'flag',flag,'flag:I')
         CALL HBNAME(iNtup,'chi2',chi2,'chi2:R')
         CALL HBNAME(iNtup,'energy',leftp,'leftp:R, rightp:r')
         CALL HBNAME(iNtup,'puls',lpulsX,
     +        'lpulsX:R, lpulsY:R, lpulsTX:R, lpulsTY:R, lpulsPE:R,
     +        rpulsX:R, rpulsY:R, rpulsTX:R, rpulsTY:R, rpulsPE:R')
      endif


      
 999  RETURN
      END
