
#ifndef MuAlign_h
#define MuAlign_h 1

//## Class: MuNesl
//      /**Author:        Boris Fominykh
//
//      Date:             December 23, 1999
//
//      Class:            MuAlign
//
//      Base Class:       none
//
//      Description:
//      This is a container class for muon alignment constants */

class MuAlign
{
public:
    //## Constructor
      MuAlign();
    //## Destructor
      ~MuAlign();

// public methods
    //        /**Initialization*/
      void Ini();
    //        /**Print*/
      void Print();

// public variables

      int Valid;
      int nframe;   // key: frame number
      int type;     // type=1-tube,pad =2-pixel
      int msl;      // muon superlayer
      int nlay;     // number of layers
      int nx1u[3];  // nx min for upper part
      int nx2u[3];  // nx max for upper part
      int nx99u[3];  // nx=99 indicator for upper part
      int nx1d[3];  // nx min for down part
      int nx2d[3];  // nx max for down part
      int nx99d[3]; // nx=99 indicator for down part
      float dx;
      float dy;
      float dz;
      float xc;
      float yc;
      float angl;
 
  protected:
  private:
};
#endif
