*
*  B.Fominykh  28.06.98
*  the program of MUREC-B package
*  overlap of two accepted branchs, kill the bad
*
      SUBROUTINE MURBRREL
C-    ===================
      IMPLICIT NONE
#include "murec/MUCBPAR.fi"
#include "murec/MUCBTAB.fi"
#include "murec/MUCONT.fi"
      INTEGER IBR1,IBR2,JBR1,JBR2,NCLOV,I1,I2,I,J
      INTEGER ISD1,JSD1,ISD2,JSD2
      REAL ROV1,ROV2,EST2
      REAL ROVCUT,ROVCT2,DESTCUT,RCHISB,CHISBCT
      PARAMETER (ROVCUT=0.35)
      PARAMETER (DESTCUT=0.5)
      PARAMETER (ROVCT2=0.9)
      PARAMETER (CHISBCT=0.5)
      INTEGER IBROV(100),NCLOVB(100)
#include "arte/Arte.fi"
#include "arte/Arte.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
* 
      IF(IFREE.LT.3) GOTO 200

      DO I=1,100
        NCLOVB(I)=0
        IBROV(I) =0
      ENDDO
      DO 100 IBR1=1,IFREE-2
        JBR1=JTMP7+IQ(JTMP7+1)*(IBR1-1)+2
        IF(IQ(JBR1+1).NE.2) GOTO 100
        DO 50 IBR2=IBR1+1,IFREE-1
          JBR2=JTMP7+IQ(JTMP7+1)*(IBR2-1)+2
          IF(IQ(JBR2+1).NE.2) GOTO 50
* branch overlap
          NCLOV=0
          DO 20 I1=1,IQ(JBR1+8)
            DO 10 I2=1,IQ(JBR2+8)
              IF(IQ(JBR1+LCMUTR+I1).EQ.IQ(JBR2+LCMUTR+I2)) THEN 
                NCLOV=NCLOV+1
                GOTO 20
              ENDIF
  10        CONTINUE
  20      CONTINUE
          ROV1=0.
          IF(IQ(JBR1+8).GT.0) ROV1=REAL(NCLOV)/REAL(IQ(JBR1+8))
          ROV2=0.
          IF(IQ(JBR2+8).GT.0) ROV2=REAL(NCLOV)/REAL(IQ(JBR2+8))

          IF(ROV1.GT.ROVCT2.AND.ROV2.GT.ROVCT2) THEN
            RCHISB=(Q(JBR2+45)-Q(JBR1+45))/(Q(JBR2+45)+Q(JBR1+45))
            IF(RCHISB.GT.CHISBCT) IQ(JBR2+1)=-1
            IF(RCHISB.LT.-CHISBCT) IQ(JBR1+1)=-1
          IF(IPRLG.GT.1)WRITE(LLOGF,1003) 
     +       IBR1,IBR2,ROV1,ROV2,RCHISB,IQ(JBR1+1),IQ(JBR2+1)
 1003 FORMAT(2X,'strong ovel branchs ',2I4,' R1,R2 ',2F6.3,
     +          ' Rchi(s-b) ',E12.4,' stat ',2I3)

            GOTO 50
          ENDIF

          IF(ROV1.GT.ROVCUT) THEN

            IF(NCLOV.GT.NCLOVB(IBR1)) THEN
              NCLOVB(IBR1)=NCLOV
              IBROV(IBR1)=IBR2
* KILL estimator
              EST2=0.
              DO I=1,12
                IF(IQ(JBR2+8+I).GT.0.AND.IQ(JBR1+8+I).LE.0)
     +             EST2=EST2+1.
                IF(IQ(JBR2+8+I).LE.0.AND.IQ(JBR1+8+I).GT.0)
     +             EST2=EST2-1.
              ENDDO
              Q(JBR1+47)=EST2
            ENDIF

          ENDIF

          IF(ROV2.GT.ROVCUT) THEN

            IF(NCLOV.GT.NCLOVB(IBR2)) THEN
              NCLOVB(IBR2)=NCLOV
              IBROV(IBR2)=IBR1
* KILL estimator
              EST2=0.
              DO I=1,12
                IF(IQ(JBR1+8+I).GT.0.AND.IQ(JBR2+8+I).LE.0)
     +             EST2=EST2+1.
                IF(IQ(JBR1+8+I).LE.0.AND.IQ(JBR2+8+I).GT.0)
     +             EST2=EST2-1.
              ENDDO
              Q(JBR2+47)=EST2
            ENDIF

          ENDIF

*
          IF(NCLOV.GT.0) THEN
           IF(IPRSC.GT.1)PRINT 1002, IBR1,IBR2,NCLOV,ROV1,ROV2
           IF(IPRLG.GT.1)WRITE(LLOGF,1002) IBR1,IBR2,NCLOV,ROV1,ROV2,
     +                   IQ(JBR1+1),IQ(JBR2+1),Q(JBR1+47),Q(JBR2+47)
 1002 FORMAT(5X,'br ',2I4,' com cl ',I3,' R1,R2 ',2F6.3,
     +          ' stat ',2I3,' est2 ',2E12.4)
          ENDIF
*
  50    CONTINUE
 100  CONTINUE

* kill the bad guys
      DO IBR1=1,IFREE-1
        JBR1=JTMP7+IQ(JTMP7+1)*(IBR1-1)+2
        IF(IQ(JBR1+1).EQ.2) THEN
          ISD1=IQ(JBR1+4)
          IF(ISD1.GT.0) THEN
            JSD1=JTMP6+IQ(JTMP6+1)*(ISD1-1)+2
            IBR2=IBROV(IBR1)
            JBR2=JTMP7+IQ(JTMP7+1)*(IBR2-1)+2
            IF(IQ(JBR2+1).EQ.2) THEN
              ISD2=IQ(JBR2+4)
              IF(ISD2.GT.0) THEN
                JSD2=JTMP6+IQ(JTMP6+1)*(ISD2-1)+2
                EST2=Q(JBR1+47)
                EST2=EST2+(Q(JBR1+45)-Q(JBR2+45))/100.
                EST2=EST2+20./Q(JSD1+4)-20./Q(JSD2+4)
                Q(JBR1+47)=EST2
                IF(EST2.GT.DESTCUT) THEN
                  IQ(JBR1+1)=-1
                ENDIF
                IF(EST2.LT.-DESTCUT) THEN
                  IQ(JBR2+1)=-1
                ENDIF
              ELSE
                IQ(JBR2+1)=-1
              ENDIF
            ENDIF
          ELSE
            IQ(JBR1+1)=-1
          ENDIF
        ENDIF
      ENDDO

      DO IBR1=1,IFREE-1
        JBR1=JTMP7+IQ(JTMP7+1)*(IBR1-1)+2
        ISD1=IQ(JBR1+4)
        IF(ISD1.GT.0) THEN
          JSD1=JTMP6+IQ(JTMP6+1)*(ISD1-1)+2
          IBR2=IBROV(IBR1)
          JBR2=JTMP7+IQ(JTMP7+1)*(IBR2-1)+2
          ISD2=IQ(JBR2+4)
          IF(ISD2.GT.0) THEN
            JSD2=JTMP6+IQ(JTMP6+1)*(ISD2-1)+2

       IF(IPRSC.GT.1)
     +    PRINT 1001, IBR1,IQ(JBR1+1),IQ(JBR1+8),Q(JBR1+22),
     +      (IQ(JBR1+J),J=9,20),IQ(JBR1+4),Q(JSD1+4),
     +      Q(JBR1+45),Q(JBR1+46),
     +      IBROV(IBR1),NCLOVB(IBR1),Q(JBR1+47)
       IF(IPRLG.GT.1)
     +    WRITE(LLOGF,1001) IBR1,IQ(JBR1+1),IQ(JBR1+8),Q(JBR1+22),
     +      (IQ(JBR1+J),J=9,20),IQ(JBR1+4),Q(JSD1+4),
     +      Q(JBR1+45),Q(JBR1+46),
     +      IBROV(IBR1),NCLOVB(IBR1),Q(JBR1+47)
 1001 FORMAT(2X,'BR1 ',2I3,' Ncl ',I3,' chi ',E12.4,' hit-map ',
     +       4I2,2X,4I2,2X,2I2,2X,2I2,' seed ',I4,' p ',F7.2,
     +       /,3X,' chi(s-b) ',E12.4,' est1 ',E12.4,
     +       ' BR2 ',I3,' Ncom ',I3,' est2',E12.4)

          ENDIF
        ENDIF
      ENDDO
*
 200  CONTINUE
      RETURN
      END




