c Functions for HPT dptc-->hitb data translation.  29.03.99
c Author:  V.Popov
c
      SUBROUTINE PTFILLH(ipt, XYZ)

         IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/HITB.fi"
#include "auto/GEO.fi"

         real XYZ(3),x4(6)
         integer ipt(2),i

#include "arte/Arte.ff"
#include "auto/HITB.ff"
#include "auto/GEO.ff"

C        Book new entry to HITB table
         call mmbook(jhitb,1)

         q(qhitb_x_l()) = XYZ(1)
         q(qhitb_y_l()) = XYZ(2)
         q(qhitb_z_l()) = XYZ(3)
         q(qhitb_q_l()) = ipt(2)
         iq(iqhitb_gede_l()) = ipt(1)

c         goto 999
c         i=nhitb()
c         print*,'fillh> nhitb()=',i
c         x4(1) = fhitb_x(i)
c         x4(2) = fhitb_y(i)
c         x4(3) = fhitb_z(i)
c         x4(4) = ihitb_gede(i)
c         x4(5) = fhitb_q(i)
c         x4(6) = igede_cmp(ihitb_gede(i))
c 
c         print*,'fillh> XYZ = ',XYZ
c         print*,'fillh> hitb= ',x4
 999     END


      SUBROUTINE PTHITBSORT(nh1,nh2)

         IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/HITB.fi"
#include "auto/GEO.fi"

         integer i, j, nh1,nh2,k
 
#include "arte/Arte.ff"
#include "auto/HITB.ff"
#include "auto/GEO.ff"

c         print*,'pthits:',nh1,' -',nh2
         if ((nh2-nh1).le.0) goto 100

        do 10 i=nh1, nh2-1
            do 11 j = i+1, nh2
               if (ihitb_gede(i).ne.ihitb_gede(j)) go to 11
               call ptexchange(i+1,j)
               go to 10
 11        continue
 10     continue
       
c        hit1-hitL info load

         iq(iqgede_hit1(ihitb_gede(nh1))) = nh1
         iq(iqgede_hitl(ihitb_gede(nh1))) = nh1

         do i = nh1+1, nh2
            iq(iqgede_cmp(ihitb_gede(i))) = 4
            iq(iqgede_hitl(ihitb_gede(i))) = i
            if (ihitb_gede(i).ne.ihitb_gede(i-1)) 
     &           iq(iqgede_hit1(ihitb_gede(i))) = i
         enddo

 100     END
      
      SUBROUTINE PTEXCHANGE(i,j)

         IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/HITB.fi"
#include "auto/GEO.fi"

         integer i, j, gede
         real x, y, z, h
         
#include "arte/Arte.ff"
#include "auto/HITB.ff"
#include "auto/GEO.ff"

c         print*,'exchange>i,j=',i,j
         x = fhitb_x(i)
         y = fhitb_y(i)
         z = fhitb_z(i)
         h = fhitb_q(i)
         gede = ihitb_gede(i)
         
         q(qhitb_x(i)) = fhitb_x(j)
         q(qhitb_y(i)) = fhitb_y(j)
         q(qhitb_z(i)) = fhitb_z(j)
         q(qhitb_q(i)) = fhitb_q(j)
        iq(iqhitb_gede(i)) = ihitb_gede(j)

         q(qhitb_x(j)) = x
         q(qhitb_y(j)) = y
         q(qhitb_z(j)) = z
         q(qhitb_q(j)) = h
        iq(iqhitb_gede(j)) = gede

        end

               
      SUBROUTINE PTRESET

         IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/HITB.fi"
#include "auto/GEO.fi"

         integer i
 
#include "arte/Arte.ff"
#include "auto/HITB.ff"
#include "auto/GEO.ff"

         do i = 1 , ngede()
            if (igede_cmp(i).eq.4) then
               iq(iqgede_hit1(i)) = 0
               iq(iqgede_hitl(i)) = 0
            endif
         enddo

         END
      




