// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerVolEpi
// volume class for epiped shape

#ifndef rangerVolEpi_HH
#define rangerVolEpi_HH

#include "rang/Volume.hh"
#include "rang/GeWa.hh"

class rangerVolEpi : public rangerVolume {
  
public:
  rangerVolEpi(); // default constructor
  rangerVolEpi( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolEpi(); // destructor
  double sLength(double zz,
		 double x,
		 double y,
		 double tx,
		 double ty); // scaled traversed length

};

#endif
