// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// function rangerSeg2track
// convert RSEG to RTRA

#ifndef SEG2TRACK_HH
#define SEG2TRACK_HH

#include <vector.h>

ArtePointer<RTRA> rangerSeg2track(ArtePointer<RSEG> rseg);
ArtePointer<RTRA> rangerSeg2track(vector<ArtePointer<RSEG> > rsegVec);
extern "C" {
  void tftpar2_(int& it,int& imc,float& pa,float& pamc,float& dpa,
		float& dpanorm,float& ch2mc,int& stat);
}

#endif
