//#include <list.h>
//#include <CLHEP/SymMatrixD.h>
//#include <CLHEP/VectorD.h>


#define max_meas 5

//-------------------------------------------------------------------------
//
//  function to add a constraint
//
//-------------------------------------------------------------------------

class track_98{

public:
                track_98();
                track_98(const double *); //  input: paramters[6]
   int          add_measurement(const double &,const double *, 
                                const double *); 
                                          // input: z, p_meas[5], weight[5][5]
   double       fit();
  //   int          fit();
   double *     track_parameters();       //output parameters[6]
   double *     track_errors();           //output covariance[5][5]
   double       fit_iteration();

private:

   double       parameters[6];
   double       covariance[5][5];
   double       weight[5][5];
   double       chi2;
   int          n_measurements;
   double       z_position[max_meas];
   double       measurements[max_meas][5];
   double       errors[max_meas][5][5];
};




