#ifndef _L3_MACROS_HH_
#define _L3_MACROS_HH_
#include "L3_Defines.hh"
/* 

   L3_Macros.hh

   This file provides macros for debugging. The generation of
   debugging code is enabled when L3_MDEBUG is #define'd in
   L3_Defines.hh. The variable tlt_debug is globally defined in
   L3_Trigger.C

*/
#ifdef L3_MDEBUG
#include <iostream.h>
#include "L3_Parameter.hh"
#define P1(a) if(L3_Parameter::Debug()) cout<<a
#define P2(a,b) if(L3_Parameter::Debug()) cout<<a<<b
#define P3(a,b,c) if(L3_Parameter::Debug()) cout<<a<<b<<c
#define P4(a,b,c,d) if(L3_Parameter::Debug()) cout<<a<<b<<c<<d
#define P5(a,b,c,d,e) if(L3_Parameter::Debug()) cout<<a<<b<<c<<d<<e
#define P6(a,b,c,d,e,f) if(L3_Parameter::Debug()) cout<<a<<b<<c<<d<<e<<f
#define P7(a,b,c,d,e,f,g) if(L3_Parameter::Debug()) cout<<a<<b<<c<<d<<e<<f<<g
#define P8(a,b,c,d,e,f,g,h) if(L3_Parameter::Debug()) cout<<a<<b<<c<<d<<e<<f<<g<<
#define P9(a,b,c,d,e,f,g,h,i) if(L3_Parameter::Debug()) cout<<a<<b<<c<<d<<e<<f<<g<<h<<i
#define P10(a,b,c,d,e,f,g,h,i,j) if(L3_Parameter::Debug()) cout<<a<<b<<c<<d<<e<<f<<g<<h<<i<<j
#define P11(a,b,c,d,e,f,g,h,i,j,k) if(L3_Parameter::Debug()) cout<<a<<b<<c<<d<<e<<f<<g<<h<<i<<j<<k

#else

#define P1(a)
#define P2(a,b)
#define P3(a,b,c)
#define P4(a,b,c,d)
#define P5(a,b,c,d,e)
#define P6(a,b,c,d,e,f)
#define P7(a,b,c,d,e,f,g)
#define P8(a,b,c,d,e,f,g,h)
#define P9(a,b,c,d,e,f,g,h,i)
#define P10(a,b,c,d,e,f,g,h,i,j)
#define P11(a,b,c,d,e,f,g,h,i,j,k)

#endif
#endif












